package capitulo08.bloque01;

import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.Properties;

public class PropiedadesBBDD {

    private static Properties propiedades;

    private static Properties getPropiedades() {
        if (propiedades == null) {
            propiedades = new Properties();

            try {
                File file = new File("./out/production/Ejercicios/capitulo08/otros/mysql.properties");
                propiedades.load(new FileReader(file));
            } catch (IOException e) {
                throw new RuntimeException(e);
            }
        }
        return propiedades;
    }

    public static String getMySQLConnectionString() {
        String host = getProperty("MYSQL_HOST");
        String schema = getProperty("MYSQL_SCHEMA_NAME");
        String properties = getProperty("MYSQL_PROPERTIES");
        String user = getProperty("MYSQL_USER");
        String password = getProperty("MYSQL_PASSWORD");

        return "jdbc:mysql://" + user + ":" + password + "@" + host + "/" + schema + properties;
    }

    public static String getMySQLDriver() {
        return getProperty("MYSQL_DRIVER_CLASS");
    }

    public static String getProperty(String nombrePropiedad) {
        return getPropiedades().getProperty(nombrePropiedad);
    }

}
